| Home | Libraries | People | FAQ | More

##### storage_ptr::is_deallocate_trivial

Return `true` if calling `deallocate` on the memory resource has no effect.

###### Synopsis

    bool
    is_deallocate_trivial() const;

###### Description

This function is used to determine if the deallocate function of the pointed to memory resource is trivial. The value of `is_deallocate_trivial` is evaluated and saved when the memory resource is constructed and the type is known, before the type is erased.